#!/usr/bin/python

from pybrain.optimization import HillClimber, StochasticHillClimber
from pybrain.datasets import SupervisedDataSet
from pybrain.tools.shortcuts import buildNetwork

ds = SupervisedDataSet(2, 1)
ds.addSample([0,0],[0])
ds.addSample([1,0],[1])
ds.addSample([0,1],[1])
ds.addSample([1,1],[0])

brain = buildNetwork(2,3,1)
learner = StochasticHillClimber(ds.evaluateModuleMSE, brain, minimize=True)
learner.maxEvaluations = 1000
brain = learner.learn()[0]
print brain.activate([0,0])
print brain.activate([0,1])
print brain.activate([1,0])
print brain.activate([1,1])
